View Issue Details

IDProjectCategoryView StatusLast Update
0000889PluginsTemporary panelpublic2009-11-02 21:32
ReporterJohnDoeAssigned Tochupakabra 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000889: Излишняя обработка элементов при использовании ключа +any
DescriptionСказано:

  При включенной опции "Любые элементы в панели" файл-список может такж
содержать такие строки:
    ftp:
    ftp:ftp.cdrom.com
    reg:HKEY_CURRENT_USER\Software
    dir

На самом деле на временную панель помещаются вот такие элементы:

C:\APPS\FAR\BinW\ftp:
C:\APPS\FAR\BinW\list
reg:HKEY_CURRENT_USER\Software
C:\APPS\FAR\BinW\ftp:ftp.cdrom.com

Т.е к большинству элементов был добавлен путь, по которому находится сам файл-список (либо текущий путь - хрен поймёшь)
Steps To ReproduceЕсли добавить ключ +menu, то вышеописанных странностей не происходит
TagsNo tags attached.

Activities

alexy

2009-10-27 00:42

administrator   bugnote:0004346

Это Чупакабра уже поправил.

JohnDoe

2009-11-01 03:32

updater   bugnote:0004418

Имеем файл-список list.tmp следующего содержания:

1
2
3
4
-

tmp:+any list.tmp
Результат:

-
J:\1
J:\2
J:\3
4

(Там дальше ещё баги: в элементы ещё можно переходить)

alexy

2009-11-01 03:54

administrator   bugnote:0004420

Ну и? У тебя значит на J есть папки/файлы 1,2,3.

JohnDoe

2009-11-01 04:04

updater   bugnote:0004422

Last edited: 2009-11-01 04:31

View 3 revisions

Ок, с примером я не прав был
Вот правильный

*
**
.
..

получаем

J:\
J:\*
J:\**

Здесь проблема со звёздами (их не надо обрабатывать, т.к. нет смысла)
Ну и .. почему-то пропадает

chupakabra

2009-11-01 22:29

developer   bugnote:0004424

Поправил

JohnDoe

2009-11-02 20:58

updater   bugnote:0004453

С этим порядок, но есть и другие проблемы:

1)Если на *-элементе нажать CtrlPgUp, то мы окажемся в панели с заголовком "*"

2)Тот же эффект можно получить нажав Home Enter

alexy

2009-11-02 21:32

administrator   bugnote:0004455

Это уже другая проблема, и вроде даже фара, и про неё есть тикет.

Issue History

Date Modified Username Field Change
2009-05-28 20:23 JohnDoe New Issue
2009-10-27 00:42 alexy Note Added: 0004346
2009-10-27 00:42 alexy Status new => closed
2009-10-27 00:42 alexy Fixed in Version => 2.0
2009-10-27 00:42 alexy Resolution open => fixed
2009-10-27 00:42 alexy Assigned To => alexy
2009-10-27 00:43 alexy Assigned To alexy => chupakabra
2009-11-01 03:32 JohnDoe Note Added: 0004418
2009-11-01 03:32 JohnDoe Status closed => new
2009-11-01 03:32 JohnDoe Resolution fixed => reopened
2009-11-01 03:54 alexy Note Added: 0004420
2009-11-01 04:04 JohnDoe Note Added: 0004422
2009-11-01 04:06 JohnDoe Note Edited: 0004422 View Revisions
2009-11-01 04:31 JohnDoe Note Edited: 0004422 View Revisions
2009-11-01 21:45 chupakabra Assigned To chupakabra =>
2009-11-01 21:46 chupakabra Status new => assigned
2009-11-01 21:46 chupakabra Assigned To => chupakabra
2009-11-01 22:29 chupakabra Note Added: 0004424
2009-11-01 22:29 chupakabra Status assigned => feedback
2009-11-02 20:58 JohnDoe Note Added: 0004453
2009-11-02 21:32 alexy Note Added: 0004455
2009-11-02 21:32 alexy Status feedback => closed
2009-11-02 21:32 alexy Resolution reopened => fixed